"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Button = void 0;
const react_1 = __importDefault(require("react"));
const colors_1 = require("../../constants/colors");
const defaultLayouts_1 = require("../../constants/defaultLayouts");
const Icon_1 = require("../Icon");
const styles_1 = require("./styles");
const buttonTypes_1 = require("./types/buttonTypes");
const Button = ({ className, name, id, type = buttonTypes_1.ButtonTypes.BUTTON, text = "", icon, iconSize = defaultLayouts_1.DEFAULT_BUTTON_ICON_SIZE, withBeforeIcon = false, withEndIcon = false, padding, margin, outline, border, width, height, backgroundColor = colors_1.DEFAULT_PRIMARY, textColor = colors_1.DEFAULT_SECONDARY, hoverBackgroundColor = colors_1.DEFAULT_PRIMARY_HOVER, hoverTextColor = colors_1.DEFAULT_SECONDARY_HOVER, borderRadius, cursor = defaultLayouts_1.DEFAULT_CURSOR, onClick, onFocus, onBlur, }) => (react_1.default.createElement(styles_1.ButtonInput, { name: name, type: type, className: className, id: id, padding: padding, margin: margin, outline: outline, border: border, width: width, height: height, backgroundColor: backgroundColor, textColor: textColor, hoverBackgroundColor: hoverBackgroundColor, hoverTextColor: hoverTextColor, borderRadius: borderRadius, cursor: cursor, onClick: onClick, onFocus: onFocus, onBlur: onBlur },
    withBeforeIcon && icon && (react_1.default.createElement(Icon_1.Icon, { src: icon, width: iconSize, height: iconSize })),
    react_1.default.createElement("span", null, text),
    withEndIcon && icon && (react_1.default.createElement(Icon_1.Icon, { src: icon, width: iconSize, height: iconSize }))));
exports.Button = Button;
//# sourceMappingURL=Button.js.map