"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ButtonInput = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const defaultLayouts_1 = require("../../constants/defaultLayouts");
exports.ButtonInput = styled_components_1.default.button `
  display: flex;
  justify-content: center;
  align-items: center;
  padding: ${({ padding }) => padding || defaultLayouts_1.DEFAULT_PADDING};
  margin: ${({ margin }) => margin || defaultLayouts_1.DEFAULT_MARGIN};
  outline: ${({ outline }) => (outline ? outline : "none")};
  border: ${({ border }) => (border ? border : "none")};
  width: ${({ width }) => width || defaultLayouts_1.DEFAULT_WIDTH};
  height: ${({ height }) => height || defaultLayouts_1.DEFAULT_HEIGHT};
  background-color: ${({ backgroundColor }) => backgroundColor};
  color: ${({ textColor }) => textColor};
  border-radius: ${({ borderRadius }) => (borderRadius ? borderRadius : "0")};
  cursor: ${({ cursor }) => cursor};

  &:hover {
    background-color: ${({ hoverBackgroundColor }) => hoverBackgroundColor};
    color: ${({ hoverTextColor }) => hoverTextColor};
  }
`;
//# sourceMappingURL=styles.js.map