import React from "react";
import { DEFAULT_PRIMARY, DEFAULT_PRIMARY_HOVER, DEFAULT_SECONDARY, DEFAULT_SECONDARY_HOVER, } from "../../constants/colors";
import { DEFAULT_BUTTON_ICON_SIZE, DEFAULT_CURSOR, } from "../../constants/defaultLayouts";
import { Icon } from "../Icon";
import { ButtonInput } from "./styles";
import { ButtonTypes } from "./types/buttonTypes";
export const Button = ({ className, name, id, type = ButtonTypes.BUTTON, text = "", icon, iconSize = DEFAULT_BUTTON_ICON_SIZE, withBeforeIcon = false, withEndIcon = false, padding, margin, outline, border, width, height, backgroundColor = DEFAULT_PRIMARY, textColor = DEFAULT_SECONDARY, hoverBackgroundColor = DEFAULT_PRIMARY_HOVER, hoverTextColor = DEFAULT_SECONDARY_HOVER, borderRadius, cursor = DEFAULT_CURSOR, onClick, onFocus, onBlur, }) => (React.createElement(ButtonInput, { name: name, type: type, className: className, id: id, padding: padding, margin: margin, outline: outline, border: border, width: width, height: height, backgroundColor: backgroundColor, textColor: textColor, hoverBackgroundColor: hoverBackgroundColor, hoverTextColor: hoverTextColor, borderRadius: borderRadius, cursor: cursor, onClick: onClick, onFocus: onFocus, onBlur: onBlur },
    withBeforeIcon && icon && (React.createElement(Icon, { src: icon, width: iconSize, height: iconSize })),
    React.createElement("span", null, text),
    withEndIcon && icon && (React.createElement(Icon, { src: icon, width: iconSize, height: iconSize }))));
//# sourceMappingURL=Button.js.map